MONGOOP
=======
***In Development***
  
MAJOR CHANGES --- hooks needed to be assigned to schema before calling mongoose.model()  
  
User Stories
------------  
User can require module to start using it:  
```javascript
  const mongoop = require('mongoop')
```  
    
User can pass in a uri to start a db connection:  
```javascript
  const dbUri = process.env.MONGODB_URI
  const db = mongoop(dbUri)
```
    
User can define schema(s):  
```javascript
  const userSchema = {
    username: {
      type: String,
      required: true,
      index: {
        unique: true
      }
    }
  }
```  
    
User defines collection(s) (an array passed in for multiple collections):  
```javascript
  db.collections({
    model: 'Users',
    schema: usersSchema,
    hooks: [
      [ 'pre', 'save', function (next) {
          this.name = this.name.toUpperCase()
          next()
        }
      ]
    ]
  })
```
    
User can use operations for each collection created:  
```javascript
  db['Users'].operations.read('findone', {username: 'Joe'}, (err, returnValue) => {
    console.log(err || returnValue)
  })
```  

